| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations
renderer.h File Reference

## Classes
struct | wxSplitterRenderParams
| This is just a simple `struct` used as a return value of wxRendererNative::GetSplitterParams(). More...
struct | wxHeaderButtonParams
| This `struct` can optionally be used with wxRendererNative::DrawHeaderButton() to specify custom values used to draw the text or bitmap label. More...
class | wxDelegateRendererNative
| wxDelegateRendererNative allows reuse of renderers code by forwarding all the wxRendererNative methods to the given object and thus allowing you to only modify some of its methods – without having to reimplement all of them. More...
class | wxRendererNative
| First, a brief introduction to wxRendererNative and why it is needed. More...
struct | wxRendererVersion
| This simple struct represents the wxRendererNative interface version and is only used as the return value of wxRendererNative::GetVersion(). More...

## Enumerations
enum | { wxCONTROL_DISABLED = 0x00000001, wxCONTROL_FOCUSED = 0x00000002, wxCONTROL_PRESSED = 0x00000004, wxCONTROL_SPECIAL = 0x00000008, wxCONTROL_ISDEFAULT = wxCONTROL_SPECIAL, wxCONTROL_ISSUBMENU = wxCONTROL_SPECIAL, wxCONTROL_EXPANDED = wxCONTROL_SPECIAL, wxCONTROL_SIZEGRIP = wxCONTROL_SPECIAL, wxCONTROL_FLAT = wxCONTROL_SPECIAL, wxCONTROL_CURRENT = 0x00000010, wxCONTROL_SELECTED = 0x00000020, wxCONTROL_CHECKED = 0x00000040, wxCONTROL_CHECKABLE = 0x00000080, wxCONTROL_UNDETERMINED = wxCONTROL_CHECKABLE }
enum | wxTitleBarButton { wxTITLEBAR_BUTTON_CLOSE = 0x01000000, wxTITLEBAR_BUTTON_MAXIMIZE = 0x02000000, wxTITLEBAR_BUTTON_ICONIZE = 0x04000000, wxTITLEBAR_BUTTON_RESTORE = 0x08000000, wxTITLEBAR_BUTTON_HELP = 0x10000000 }
| Title bar buttons supported by wxRendererNative::DrawTitleBarBitmap(). More...
enum | wxHeaderSortIconType { wxHDR_SORT_ICON_NONE, wxHDR_SORT_ICON_UP, wxHDR_SORT_ICON_DOWN }
| Used to specify the type of sort arrow used with wxRendererNative::DrawHeaderButton(). More...

## Enumeration Type Documentation

anonymous enum

The following rendering flags are defined for wxRendererNative:

Enumerator:

  wxCONTROL_DISABLED | Control is disabled.
  wxCONTROL_FOCUSED | Currently has keyboard focus.
  wxCONTROL_PRESSED | (Button) is pressed.
  wxCONTROL_SPECIAL | Control-specific bit.
  wxCONTROL_ISDEFAULT | Only for the buttons.
  wxCONTROL_ISSUBMENU | Only for the menu items.
  wxCONTROL_EXPANDED | Only for the tree items.
  wxCONTROL_SIZEGRIP | Only for the status bar panes.
  wxCONTROL_FLAT | Checkboxes only: flat border.
  wxCONTROL_CURRENT | Mouse is currently over the control.
  wxCONTROL_SELECTED | Selected item in e.g. listbox.
  wxCONTROL_CHECKED | (Check/radio button) is checked.
  wxCONTROL_CHECKABLE | (Menu) item can be checked.
  wxCONTROL_UNDETERMINED | (Check) undetermined state.

enum wxHeaderSortIconType

Used to specify the type of sort arrow used with wxRendererNative::DrawHeaderButton().

Enumerator:

  wxHDR_SORT_ICON_NONE | Don't draw a sort arrow.
  wxHDR_SORT_ICON_UP | Draw a sort arrow icon pointing up.
  wxHDR_SORT_ICON_DOWN | Draw a sort arrow icon pointing down.

enum wxTitleBarButton

Title bar buttons supported by wxRendererNative::DrawTitleBarBitmap().

Enumerator:

  wxTITLEBAR_BUTTON_CLOSE |
  wxTITLEBAR_BUTTON_MAXIMIZE |
  wxTITLEBAR_BUTTON_ICONIZE |
  wxTITLEBAR_BUTTON_RESTORE |
  wxTITLEBAR_BUTTON_HELP |